changeset 280:00ee362817e1

Cross-compile a native distcc for target.
author Rob Landley <rob@landley.net>
date Wed, 30 Jan 2008 23:15:46 -0600
parents 2966ed8d6803
children d5cda5597722
files mini-native.sh
diffstat 1 files changed, 11 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/mini-native.sh	Wed Jan 30 23:15:22 2008 -0600
+++ b/mini-native.sh	Wed Jan 30 23:15:46 2008 -0600
@@ -49,6 +49,8 @@
 # Build and install busybox
 
 setupfor busybox
+#cp "${SOURCES}/config-busybox" .config &&
+#yes "" | make oldconfig &&
 make defconfig &&
 make -j $CPUS CROSS="${ARCH}-" &&
 cp busybox "${TOOLS}/bin"
@@ -158,6 +160,15 @@
 
 [ $? -ne 0 ] && dienow
 
+setupfor distcc
+./configure --host="${ARCH}" --prefix="${TOOLS}" --with-included-popt &&
+make -j "$CPUS" &&
+make install &&
+cd .. &&
+$CLEANUP distcc
+
+[ $? -ne 0 ] && dienow
+
 # Put statically and dynamically linked hello world programs on there for
 # test purposes, and a qemu setup script.